package com.cku.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.cku.model.CkuMatch;
import com.cku.model.CkuMatchWithBLOBs;

public interface CkuMatchMapper {
    int insert(CkuMatchWithBLOBs record);

    int insertSelective(CkuMatchWithBLOBs record);
    CkuMatch getMatchById(Long id);
    List<CkuMatch> getMatchList(@Param("keyword")String keyword,@Param("limit")Long limit,@Param("start")Long start);
    Long getMatchCount(@Param("keyword")String keyword);
    
    int updateOfAdmin(CkuMatch record);
    /**
     * 已改
     * 根据赛事编号查询赛事信息
     * @param showNum
     * @return
     */
	String getMatchMessage(@Param("showNum")String showNum);
}